phing-types

# Class: Description Source Location: /types/Description.php
### Class Overview
    ProjectComponent
       |
       --DataType
          |
          --Description
Description is used to provide a project-wide description element (that is, a description that applies to a buildfile as a whole). #### Author(s): Craeg Strong <cstrong@arielpartners.com> (Ant) Hans Lellelid <hans@xmpl.org> (Phing) #### Version: $Revision: 526 $ | ### Methods addText
### Inherited Variables #### Class: DataType DataType::$checked DataType::$description DataType::$ref #### Class: ProjectComponent ProjectComponent::$project | ### Inherited Methods #### Class: DataType DataType::circularReference() Creates an exception that indicates the user has generated a loop of data types referencing each other. DataType::dieOnCircularReference() Check to see whether any DataType we hold references to is included in the Stack (which holds all DataType instances that directly or indirectly reference this instance, including this instance itself). DataType::getCheckedRef() Performs the check for circular references and returns the referenced object. DataType::getDescription() Return the description for the current data type. DataType::isReference() Has the refid attribute of this element been set? DataType::noChildrenAllowed() Creates an exception that indicates that this XML element must not have child elements if the refid attribute is set. DataType::parsingComplete() Template method being called when the data type has been parsed completely. DataType::setDescription() Sets a description of the current data type. It will be useful in commenting what we are doing. DataType::setRefid() Set the value of the refid attribute. DataType::tooManyAttributes() Creates an exception that indicates that refid has to be the only attribute if it is set. #### Class: ProjectComponent ProjectComponent::getProject() Returns a reference to current project ProjectComponent::log() Logs a message with the given priority. ProjectComponent::setProject() References the project to the current component.
### Class Details [line 37] Description is used to provide a project-wide description element (that is, a description that applies to a buildfile as a whole). If present, the &lt;description&gt; element is printed out before the target descriptions. Description has no attributes, only text. There can only be one project description per project. A second description element will overwrite the first. #### Tags:
author: | Craeg Strong <cstrong@arielpartners.com> (Ant)
author: | Hans Lellelid <hans@xmpl.org> (Phing)
version: | $Revision: 526 $
[ Top ] ### Class Methods ### method addText [line 44]
`void addText( $text)`
Adds descriptive text to the project. #### Tags:
access: | public
#### Parameters:
| $text |
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:50:47 +0200 by phpDocumentor 1.4.3